A message for Linux.com registered users: We are in the process of making changes to the Linux forums. Starting Monday, 8/13/18 at 6:00 PM PT, you will be unable to access the forums. They will re-launch as soon as possible on Wednesday, 8/15/18 with new features and improved functionality. Thank you for your patience and stay tuned for the new improved forums.

August 31, 2011

Invalid module format

Forums: 

I have googled this and found a thousand answers, but none of them seem to answer my problem.

I have been using the distro kernels (Mandriva), but needed to install a current kernel directly from kernel.org.

When doing a modprobe on some modules I get this error.
This error usually means that one thing is using a different version, but I can't find where that is happening.

I have a lot of kernels installed, but while the distro kernels don't give me that error, any kernel I install from source from Kernel.org, I get the error on a few modules.

Wayne Sallee
Wayne@WayneSallee.com

Click Here!